Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions
mini_builtin.c File Reference
`#include "internal.h"`
`#include "vm_core.h"`
`#include "iseq.h"`
`#include "builtin.h"`
`#include "miniprelude.c"`

Go to the source code of this file.

## Functions
rb_ast_t * | rb_builtin_ast (const char *feature_name, VALUE *name_str)
void | rb_load_with_builtin_functions (const char *feature_name, const struct rb_builtin_function *table)
void | Init_builtin (void)
void | Init_builtin_features (void)

## Function Documentation

## ◆ Init_builtin()

void Init_builtin | ( | void |  | ) |

Definition at line 71 of file mini_builtin.c.

References rb_cRubyVM, and rb_define_singleton_method().

## ◆ Init_builtin_features()

void Init_builtin_features | ( | void |  | ) |

Definition at line 78 of file mini_builtin.c.

References NULL, and rb_load_with_builtin_functions().

## ◆ rb_builtin_ast()

rb_ast_t* rb_builtin_ast | ( | const char * | feature_name,
|  | VALUE * | name_str
| ) |  |

## ◆ rb_load_with_builtin_functions()

void rb_load_with_builtin_functions | ( | const char * | feature_name,
|  | const struct rb_builtin_function * | table
| ) |  |

Definition at line 44 of file mini_builtin.c.

References bin, iseq, and size.